<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <include
        android:id="@+id/includedAnswerItem"
        layout="@layout/community_answer_item"
        android:visibility="gone" />

    <LinearLayout
        android:id="@+id/normalContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:orientation="vertical"
        android:paddingLeft="20dp"
        android:paddingTop="16dp"
        android:paddingRight="20dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/titleTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginRight="16dp"
                android:ellipsize="end"
                android:lineSpacingExtra="6dp"
                android:maxLines="2"
                android:textColor="@color/text_primary"
                android:textSize="16sp"
                app:layout_constraintEnd_toStartOf="@+id/image"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/image"
                tools:text="雷泽是当前版本极具代表性的4星主C角色，其定位为物理输出为主，雷泽是当前版本极具代表性的4星主C角色" />

            <TextView
                android:id="@+id/contentTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:layout_marginRight="16dp"
                android:ellipsize="end"
                android:maxLines="2"
                android:textColor="@color/text_tertiary"
                android:textSize="12sp"
                app:layout_constraintEnd_toStartOf="@+id/image"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/titleTv"
                tools:text="雷泽是当前版本极具代表性的4星主C角色，其定位为物理输出为主，雷泽是当前版本极具代表性的4星主C角色" />

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/image"
                style="@style/frescoStyle"
                android:layout_width="106dp"
                android:layout_height="80dp"
                android:visibility="gone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:roundWithOverlayColor="@color/white"
                app:roundedCornerRadius="4dp"
                tools:visibility="visible" />

            <ImageView
                android:id="@+id/playIv"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/community_video_play_icon"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/image"
                app:layout_constraintEnd_toEndOf="@+id/image"
                app:layout_constraintStart_toStartOf="@+id/image"
                app:layout_constraintTop_toTopOf="@+id/image"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/durationTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="4dp"
                android:layout_marginBottom="4dp"
                android:includeFontPadding="false"
                android:padding="3dp"
                android:textColor="@color/white"
                android:textSize="9sp"
                app:layout_constraintBottom_toBottomOf="@+id/image"
                app:layout_constraintEnd_toEndOf="@+id/image" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="16dp">

            <TextView
                android:id="@+id/countTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/text_tertiary"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/timeTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:textColor="@color/text_tertiary"
                android:textSize="11sp" />
        </RelativeLayout>

        <!--<View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="16dp"
            android:background="@color/text_f5f5f5"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/timeTv" />-->
    </LinearLayout>
</RelativeLayout>